[sylpheed:34940] Updating OpenSSL for Sylpheed on Windows?

pn361529 at yahoo.com pn361529 at yahoo.com
Mon Dec 12 16:44:06 JST 2011


since a few days Sylpheed for Windows says "unable to get local issuer
certificate" when trying to receive E-Mails from Yahoo with SSL enabled.

It more or less came out of a sudden, because it did work before
without a problem/without such a message. It occurs with latest
Sylpheed stable version and latest development version for Windows.

But it does not occur when trying it with Thunderbird for Windows and
Sylpheed for Linux.

So because it doesn't happen there, from this side, it seems like it is
a problem with Sylpheed on Windows only?

Having read the SSL section of README-win32 which comes with Sylpheed
for Windows, it would be nice if someone could answer the following

How would one get the correct certificate for Yahoo for example, so one
could try what's suggested in README-win32? Does anyone else get the
"unable to get local issuer certificate" message?

Also, reading http://sylpheed.sraoss.jp/en/news.html , it seems OpenSSL
0.9.8r is what's included in the latest versions of Sylpheed for
Windows? http://www.openssl.org says the latest version would be
1.0.0e. So, out of curiosity, why isn't this latest version (1.0.0e)
included in the latest versions of Sylpheed for Windows instead?

What's the reason for that? Is it possible to update it to the latest
version? And would it even make sense?

Just asking out of curiosity and because couldn't find anything about
that elsewhere, so no blame or anything like that.

So, it would be nice if someone could answer.

Thank you very much in advance.


More information about the Sylpheed mailing list